View Issue Details

IDProjectCategoryView StatusLast Update
0001125DCP-o-matic[All Projects] Bugspublic2017-09-02 20:09
ReporterajoAssigned Tocarl 
PrioritynormalSeverityblockReproducibilityalways
Status resolvedResolutionfixed 
PlatformMacOSOS X OS Version10.11
Product Version2.11.0 
Target Version2.12.0Fixed in Version 
Summary0001125: 4K DCPS fail Arri DCI Compliance
Description4K DCPs produced by DCP-o-matic are rejected bei ARRI because they do not have 6 Decomposition Levels of JPEG200 compression
Steps To ReproduceEncode a 4K DCP with DCP-o-matic
Additional InformationArri München wrote on testing our DCP
 "Bzgl. 4K – JPEG2000 Wavelets
Alle professionellen Systeme ( Rhode&Schwarz Clipster, Colorfront Transkoder, Cinecert Lihue...) verlangen 6 Wavelets und geben bei 5 Wavelets eine Fehlermeldung aus"

translates as :
"Regarding 4K JPEG2000 Wavelets
All professional systems ( Rhode&Schwarz Clipster, Colorfront Transkoder, Cinecert Lihue...) expect 6 Wavelets and report an error message with 5 Wavelets"

Tagsdcp
Estimated work requiredUnknown

Activities

ajo

2017-08-31 15:00

reporter  

Sternenjaeger_lihue.JPG (28,942 bytes)
Sternenjaeger_lihue.JPG (28,942 bytes)

Carsten

2017-09-01 00:11

reporter   ~0001795

Interesting. OpenJPEG, according to https://github.com/uclouvain/openjpeg/wiki/DocJ2KCodec implements *UP TO* 5 levels for 2k, and *UP TO* 6 levels for 4k.

-cinema4K
Cinema4K profile. This option generates a codestream compliant to the Digital cinema specifications for a 4K resolution content. The value for frame rate should not be specified. Value is initialized to 24fps. The main specifications of the JPEG Profile-4 (4K Digital Cinema Profile) are * Image size = 4096 x 2160 (at least one of the dimensions must match 4096 x 2160) * Single tile * Wavelet transform levels = Maximum of 6 and mininum of 1 * Wavelet filter = 9-7 filter * Codeblock size = 32 x 32 * Precinct size = 128 x 128 (Lowest frequency subband), 256 x 256 (other subbands) * Maximum Bit rate for entire frame = 1302083 bytes for 24 fps * Maximum Bit rate for each color component= 1041666 bytes for 24 fps * Tile parts = 6; Each of first 3 tile parts contains data necessary to decompress one 2K color component, and each of last 3 tile parts contains data necessary to decompress one 4K color component. * 12 bits per component

While SMPTE ST 429-2:2013 says:

'There shall be 5 wavelet transform levels for 2K picture essence. There shall be 6 wavelet transform levels for 4K picture essence.'

- Carsten

carl

2017-09-02 20:09

administrator   ~0001802

I believe this is fixed by 0f0c6823e9748bb2cef73182269c4ab351942bdc (version 2.11.23). It'd be great if you could test it.

Issue History

Date Modified Username Field Change
2017-08-31 15:00 ajo New Issue
2017-08-31 15:00 ajo File Added: Sternenjaeger_lihue.JPG
2017-08-31 15:00 ajo Tag Attached: dcp
2017-09-01 00:11 Carsten Note Added: 0001795
2017-09-02 13:10 carl Target Version => 2.12.0
2017-09-02 20:09 carl Assigned To => carl
2017-09-02 20:09 carl Status new => resolved
2017-09-02 20:09 carl Resolution open => fixed
2017-09-02 20:09 carl Note Added: 0001802